import PropTypes from "prop-types";
import cn from "classnames";
import styles from "./styles.module.css";

const Button = ({ children, variant, className, ...props }) => {
  const classNames = cn({
    [styles[variant]]: variant,
    [styles[className]]: className,
  });

  return (
    <button className={`${classNames}`} {...props}>
      {children}
    </button>
  );
};

Button.propTypes = {
  variant: PropTypes.oneOf(["primary", "secondary", "disabled"]),
};

export default Button;
